#!/bin/sh
#
#
# Change file permissions of the installed files.
#
#

OS=`uname -s`
echo $OS 2> /dev/null > /dev/null

case "$OS" in
          "AIX")
					DEFOWNER="root";
					DEFGROUP="system";
					BINOWNER="bin";
					BINGROUP="bin";
					NOBDYOWNER="root";
					NOBDYGROUP="nobody";
					ROOTOWNER="root";
					ROOTGROUP="system";
          ;;
          "SunOS")
                 	DEFOWNER="root";
					DEFGROUP="sys";
					BINOWNER="bin";
					BINGROUP="bin";
					NOBDYOWNER="root";
					NOBDYGROUP="nobody";
					ROOTOWNER="root";
					ROOTGROUP="root";
          ;;
          "HP-UX")
                 	DEFOWNER="root";
					DEFGROUP="sys";
					BINOWNER="bin";
					BINGROUP="bin";
					NOBDYOWNER="root";
					NOBDYGROUP="other";
					ROOTOWNER="root";
					ROOTGROUP="root";
          ;;
          "Linux" )
                    BINOWNER="bin";
					BINGROUP="bin";
					NOBDYOWNER="nobody";
					if [ -f /etc/redhat-release ]; then
						NOBDYGROUP="nobody";
					else
						NOBDYGROUP="nogroup";
					fi
					ROOTOWNER="root";
					ROOTGROUP="root";
					if [ -f /etc/redhat-release ]; then
						DEFGROUP="nobody";
					else
						NOBDYGROUP="nogroup";
					fi
					DEFOWNER="nobody";
          ;;
          *)
					echo "ERROR: Can't determine platform!" 2> /dev/null > /dev/null
					exit -1 ;;
esac
case `echo $LANG` in
          "en_US"*)
                    LANGUAGE="en_US";
          ;;
          "cs_CZ"*)
                    LANGUAGE="cs_CZ";
          ;;
          "de_DE"*)
                    LANGUAGE="de_DE";
          ;;
          "es_ES"*)
                    LANGUAGE="es_ES";
          ;;
          "fr_FR"*)
                    LANGUAGE="fr_FR";
          ;;
          "hu_HU"*)
                    LANGUAGE="hu_HU";
          ;;
          "it_IT"*)
                    LANGUAGE="it_IT";
          ;;
          "ja_JP"*)
                    LANGUAGE="ja_JP";
          ;;
          "ko_KR"*)
                    LANGUAGE="ko_KR";
          ;;
          "pl_PL"*)
                    LANGUAGE="pl_PL";
          ;;
          "pt_BR"*)
                    LANGUAGE="pt_BR";
          ;;
          "ru_RU"*)
                    LANGUAGE="ru_RU";
          ;;
          "zh_CN"*)
                    LANGUAGE="zh_CN";
          ;;
          "zh_TW"*)
                    LANGUAGE="zh_TW";
          ;;
          *)
                    LANGUAGE="en_US";
          ;;
esac

find /opt/ibm/edge/cp -type d | xargs chmod 755;
find /opt/ibm/edge/admin -type d | xargs chmod 755;
find /opt/ibm/edge/icu -type d | xargs chmod 755;

if [ $OS = "Linux" ]
then
	find /opt/ibm/edge/cp -type d | xargs chgrp ${BINGROUP};
	find /opt/ibm/edge/admin -type d | xargs chgrp ${BINGROUP};
	find /opt/ibm/edge/icu -type d | xargs chgrp ${BINGROUP};
elif [ $OS = "SunOS" ]
then
	find /opt/ibm/edge/cp -type d | xargs chgrp ${DEFGROUP};
	find /opt/ibm/edge/admin -type d | xargs chgrp ${DEFGROUP};
	find /opt/ibm/edge/icu -type d | xargs chgrp ${DEFGROUP};
fi

if [ $OS = "Linux" ]
then
	chgrp ${BINGROUP} /opt/ibm/edge/admin;
	chgrp ${BINGROUP} /opt/ibm/edge/icu;
	chgrp ${BINGROUP} /opt/ibm/edge/cp;
else
	chgrp ${NOBDYGROUP} /opt/ibm/edge/admin;
	chgrp ${NOBDYGROUP} /opt/ibm/edge/icu;
fi

if [ $OS = "HP-UX" ]
then
        chgrp ${NOBDYGROUP} /opt/ibm/edge/admin/icu;
        chgrp ${NOBDYGROUP} /opt/ibm/edge/admin/icu/lib;
fi

chmod 755 /opt/ibm/edge/icu/lib/*;

if [ $OS = "Linux" ]
then
		chgrp ${BINGROUP} /opt/ibm/edge/icu/lib/*;
elif [ $OS = "SunOS" ]
then
		chgrp ${DEFGROUP} /opt/ibm/edge/icu/lib/*;
fi
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/etc;

if [ $OS = "SunOS" ]
then
		chgrp ${DEFGROUP} /opt/ibm/edge/cp/*;
		chmod 775 /opt/ibm/edge/cp/*;
		chgrp ${BINGROUP} /opt/ibm/edge/cp/sbin;
		chown ${BINOWNER} /opt/ibm/edge/cp/sbin;
		chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/etc;
elif [ $OS = "Linux" ]
then
		chgrp ${BINGROUP} /opt/ibm/edge/cp/*;
		chmod 775 /opt/ibm/edge/cp/*;
		chown ${BINOWNER} /opt/ibm/edge/cp/sbin;
		chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/etc;
elif [ $OS = "AIX" ]
then
		chown ${BINOWNER} /opt/ibm/edge/cp/sbin;
		chgrp ${BINGROUP} /opt/ibm/edge/cp/sbin;
else
		chgrp ${BINGROUP} /opt/ibm/edge/cp/sbin;
fi

chmod 755 /opt/ibm/edge/cp/cpwizard/cpwizard.jar;
chown ${BINGROUP} /opt/ibm/edge/cp/cpwizard/cpwizard.jar;
chgrp ${BINGROUP} /opt/ibm/edge/cp/cpwizard/cpwizard.jar;

chmod 500 /opt/ibm/edge/cp/cpwizard/cpwizard.sh;
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/cpwizard/cpwizard.sh;

if [ $OS = "AIX" -o $OS = "Linux" -o "SunOS" ]
then
	chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/etc/*;
else
	chgrp ${DEFGROUP} /opt/ibm/edge/cp/etc/*.conf*;
	chown ${DEFOWNER} /opt/ibm/edge/cp/etc/*.conf*;
fi

chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/etc/$LANGUAGE;
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/etc/$LANGUAGE/*;
chmod 775 /opt/ibm/edge/cp/etc/$LANGUAGE/ibmproxy;
chmod 660 /opt/ibm/edge/cp/etc/$LANGUAGE/ibmproxy.conf;

if [ $OS = "HP-UX" ]
then
	chmod 755 /opt/ibm/edge/cp/lib/*.sl;
elif [ $OS = "AIX" ]
then
	chgrp ${DEFGROUP} /opt/ibm/edge/cp/lib/*.a /opt/ibm/edge/cp/lib/*.o /opt/ibm/edge/cp/lib/*.so;
	chmod 755 /opt/ibm/edge/cp/lib/*.a /opt/ibm/edge/cp/lib/*.o /opt/ibm/edge/cp/lib/*.so;
elif [ $OS = "SunOS" ]
then
	chgrp ${DEFGROUP} /opt/ibm/edge/cp/lib/*.so;
	chmod 755 /opt/ibm/edge/cp/lib/*.so;
else
	chgrp ${BINGROUP} /opt/ibm/edge/cp/lib/*.so;
	chmod 755 /opt/ibm/edge/cp/lib/*.so;
fi

chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/lib/plugins;
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/lib/plugins/*;

if [ $OS = "HP-UX" ]
then
	chmod 755 /opt/ibm/edge/cp/lib/plugins/approuter/*.sl;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/ccinv/*.sl;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/dynacache/*.sl;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/icp/*.sl;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/mod_rewrite/*.sl;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/pac/*.sl;
elif [ $OS = "AIX" ]
then
	chmod 755 /opt/ibm/edge/cp/lib/plugins/approuter/*.a /opt/ibm/edge/cp/lib/plugins/approuter/*.o;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/ccinv/*.a /opt/ibm/edge/cp/lib/plugins/ccinv/*.o;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/dynacache/*.o;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/icp/*.o;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/mod_rewrite/*.o;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/pac/*.a;
else
	if [ $OS = "SunOS" ]
	then
		chgrp ${DEFGROUP} /opt/ibm/edge/cp/lib/plugins/approuter/*.so /opt/ibm/edge/cp/lib/plugins/ccinv/*.so /opt/ibm/edge/cp/lib/plugins/dynacache/*.so;
		chgrp ${DEFGROUP} /opt/ibm/edge/cp/lib/plugins/icp/*.so /opt/ibm/edge/cp/lib/plugins/mod_rewrite/*.so /opt/ibm/edge/cp/lib/plugins/pac/*.so;
	else
		chgrp ${BINGROUP} /opt/ibm/edge/cp/lib/plugins/approuter/*.so /opt/ibm/edge/cp/lib/plugins/ccinv/*.so /opt/ibm/edge/cp/lib/plugins/dynacache/*.so;
		chgrp ${BINGROUP} /opt/ibm/edge/cp/lib/plugins/icp/*.so /opt/ibm/edge/cp/lib/plugins/mod_rewrite/*.so /opt/ibm/edge/cp/lib/plugins/pac/*.so;
	fi
	chmod 755 /opt/ibm/edge/cp/lib/plugins/approuter/*.so;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/ccinv/*.so;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/dynacache/*.so;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/icp/*.so;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/mod_rewrite/*.so;
	chmod 755 /opt/ibm/edge/cp/lib/plugins/pac/*.so;
fi

if [ $OS = "SunOS" ]
then
	chgrp ${DEFGROUP} /opt/ibm/edge/cp/msg/*.res;
elif [ $OS = "Linux" ]
then
	chgrp ${BINGROUP} /opt/ibm/edge/cp/msg/*.res;
fi
find /opt/ibm/edge/cp -name "*.res" | xargs chmod 744;

if [ $OS = "SunOS" ]
then
	chgrp ${DEFGROUP} /opt/ibm/edge/cp/sbin/*;
elif [ $OS = "Linux" ]
then
	chgrp ${BINGROUP} /opt/ibm/edge/cp/sbin/*;
	chmod 4754 /opt/ibm/edge/cp/sbin/ibmproxy; chmod 4775 /opt/ibm/edge/cp/sbin/htcformat /opt/ibm/edge/cp/sbin/htadm;
fi
chmod 755 /opt/ibm/edge/cp/sbin/*;

chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/sbin/pac*;

if [ $OS = "Linux" ]
then
	chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/Admin /opt/ibm/edge/cp/server_root/cpicons /opt/ibm/edge/cp/server_root/Docs /opt/ibm/edge/cp/server_root/pub;
elif [ $OS = "AIX" ]
then
	chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/admin-bin /opt/ibm/edge/cp/server_root/cgi-bin /opt/ibm/edge/cp/server_root/data /opt/ibm/edge/cp/server_root/pac /opt/ibm/edge/cp/server_root/protect;
	chmod 775 /opt/ibm/edge/cp/server_root/pac;
	chmod 770 /opt/ibm/edge/cp/server_root/protect;
elif [ $OS = "SunOS" ]
then
	chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/admin-bin /opt/ibm/edge/cp/server_root/cgi-bin /opt/ibm/edge/cp/server_root/data /opt/ibm/edge/cp/server_root/pac /opt/ibm/edge/cp/server_root/protect;
	chmod 775 /opt/ibm/edge/cp/server_root/pac;
	chmod 770 /opt/ibm/edge/cp/server_root/protect;
fi

find /opt/ibm/edge/cp -name "*.gif" | xargs chmod 644;
find /opt/ibm/edge/cp -name "*.gif" | xargs chown ${BINOWNER};
find /opt/ibm/edge/cp -name "*.gif" | xargs chgrp ${BINGROUP};

chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/Docs/*.class /opt/ibm/edge/cp/server_root/Docs/*.jar;
chown ${BINOWNER} /opt/ibm/edge/cp/server_root/Docs/*.class /opt/ibm/edge/cp/server_root/Docs/*.jar;

chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/Docs/$LANGUAGE/*;
chown ${BINOWNER} /opt/ibm/edge/cp/server_root/Docs/$LANGUAGE/*;
chmod 644 /opt/ibm/edge/cp/server_root/Docs/$LANGUAGE/*;
chmod 755 /opt/ibm/edge/cp/server_root/Docs/$LANGUAGE/*.css;


chmod 755 /opt/ibm/edge/cp/server_root/admin-bin/*out;
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/admin-bin/*out;


chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/admin-bin/webexec/*.style;
chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/admin-bin/webexec/*.class;
chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/admin-bin/webexec/*.jar;

chown ${BINOWNER} /opt/ibm/edge/cp/server_root/admin-bin/webexec/*.style;
chown ${BINOWNER} /opt/ibm/edge/cp/server_root/admin-bin/webexec/*.class;
chown ${BINOWNER} /opt/ibm/edge/cp/server_root/admin-bin/webexec/*.jar;

find /opt/ibm/edge/cp -name "*.html" | xargs chmod 644;
find /opt/ibm/edge/cp -name "*.htmls" | xargs chmod 644;
find /opt/ibm/edge/cp -name "*.html" | xargs chown ${BINOWNER};
find /opt/ibm/edge/cp -name "*.htmls" | xargs chown ${BINOWNER};
find /opt/ibm/edge/cp -name "*.html" | xargs chgrp ${BINGROUP};
find /opt/ibm/edge/cp -name "*.htmls" | xargs chgrp ${BINGROUP};

chmod 644 /opt/ibm/edge/cp/server_root/admin-bin/webexec/$LANGUAGE/*;
chown ${BINOWNER} /opt/ibm/edge/cp/server_root/admin-bin/webexec/$LANGUAGE/*;
chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/admin-bin/webexec/$LANGUAGE/*;

chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/cgi-bin/helpout;
chmod 755 /opt/ibm/edge/cp/server_root/cgi-bin/helpout;
chmod 775 /opt/ibm/edge/cp/server_root/logs;

if [ $OS = "Linux" ]
then
        chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/logs;
fi
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/pac/creds;
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/pac/data;
chmod 775 /opt/ibm/edge/cp/server_root/pac/creds;
chmod 775 /opt/ibm/edge/cp/server_root/pac/data;

chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/protect/*;
chmod 775 /opt/ibm/edge/cp/server_root/protect/*;

chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/pub/*.c;
chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/pub/*.exp;
chgrp ${BINGROUP} /opt/ibm/edge/cp/server_root/pub/*.h;
chown ${BINOWNER} /opt/ibm/edge/cp/server_root/pub/*.c;
chown ${BINOWNER} /opt/ibm/edge/cp/server_root/pub/*.exp;
chown ${BINOWNER} /opt/ibm/edge/cp/server_root/pub/*.h;
chmod 644 /opt/ibm/edge/cp/server_root/pub/*.c;
chmod 644 /opt/ibm/edge/cp/server_root/pub/*.h;
chmod 644 /opt/ibm/edge/cp/server_root/pub/*.exp;
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/pub/pacfiles;
chmod 775 /opt/ibm/edge/cp/server_root/pub/pacfiles;

chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/pub/$LANGUAGE/reports;
chmod 775 /opt/ibm/edge/cp/server_root/pub/$LANGUAGE/reports;
chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/pub/$LANGUAGE/reports/cacheagt.html;

chgrp ${NOBDYGROUP} /opt/ibm/edge/cp/server_root/pub/$LANGUAGE/reports;
chown ${NOBDYOWNER} /opt/ibm/edge/cp/server_root/pub/$LANGUAGE/reports/cacheagt.html;

chgrp ${NOBDYGROUP} /opt/ibm/edge/icu/lib;
if [ $OS = "HP-UX" ]
then
	chown 755 /opt/ibm/edge/cp/lib/archive.sl /opt/ibm/edge/cp/lib/jav_wte.sl;
	chown root /opt/ibm/edge/cp/lib/archive.sl /opt/ibm/edge/cp/lib/jav_wte.sl;
	chgrp sys /opt/ibm/edge/cp/lib/archive.sl /opt/ibm/edge/cp/lib/jav_wte.sl;
elif [ $OS = "AIX" ]
then
	chown 755 /opt/ibm/edge/cp/lib/archive.so /opt/ibm/edge/cp/lib/jav_wte.o;
	chown root /opt/ibm/edge/cp/lib/archive.so /opt/ibm/edge/cp/lib/jav_wte.o;
	chgrp sys /opt/ibm/edge/cp/lib/archive.so /opt/ibm/edge/cp/lib/jav_wte.o;
else

	chown 755 /opt/ibm/edge/cp/lib/archive.so /opt/ibm/edge/cp/lib/jav_wte.so;
	chown root /opt/ibm/edge/cp/lib/archive.so /opt/ibm/edge/cp/lib/jav_wte.so;
	chgrp sys /opt/ibm/edge/cp/lib/archive.so /opt/ibm/edge/cp/lib/jav_wte.so;
fi